/**
* \copyright
* Copyright (c) 2018, Infineon Technologies AG
* All rights reserved.
*
* This software is provided with terms and conditions as specified in OPTIGA(TM) Trust X Evaluation Kit License Agreement.
* \endcopyright
*
* \author Infineon AG
*
* \file
*
* \brief This file implements the prototype declarations of pal os timer functionalities.
*
* \addtogroup  grPAL
* @{
*/
#ifndef _PAL_OS_TIMER_H_
#define _PAL_OS_TIMER_H_

/**********************************************************************************************************************
 * HEADER FILES
 *********************************************************************************************************************/
 
#include "pal.h"

/*********************************************************************************************************************
 * pal_os_timer.h
*********************************************************************************************************************/


/**********************************************************************************************************************
 * MACROS
 *********************************************************************************************************************/


/**********************************************************************************************************************
 * ENUMS
 *********************************************************************************************************************/


/**********************************************************************************************************************
 * DATA STRUCTURES
 *********************************************************************************************************************/

 
/**********************************************************************************************************************
 * API Prototypes
 *********************************************************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif
    
    
/**
 * @brief Gets tick count value in milliseconds
 */
uint32_t pal_os_timer_get_time_in_milliseconds(void);

/**
 * @brief Waits or delay until the supplied milliseconds
 */
void pal_os_timer_delay_in_milliseconds(uint16_t milliseconds);


#ifdef __cplusplus
}
#endif

#endif /* _PAL_OS_TIMER_H_ */

/**
* @}
*/

